# Uses of Interface
org.opensaml.soap.wsaddressing.ProblemIRI

Packages that use ProblemIRI
Package
Description
org.opensaml.soap.wsaddressing.impl
XML Object provider implementations for WS-Addressing.

## Uses of ProblemIRI in org.opensaml.soap.wsaddressing.impl

Classes in org.opensaml.soap.wsaddressing.impl that implement ProblemIRI
Modifier and Type
Class
Description
`class`
`ProblemIRIImpl`
ProblemIRIImpl is the concrete implementation of `ProblemIRI`.
Methods in org.opensaml.soap.wsaddressing.impl that return ProblemIRI
Modifier and Type
Method
Description
`ProblemIRI`
ProblemIRIBuilder.`buildObject()`
Builds a WS-Addressing object.
`ProblemIRI`
ProblemIRIBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.